{{- if .Values.shortLinkMs.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: shortlink
  namespace: {{ .Values.global.namespace }}
  labels:
    app: {{ .Values.global.appName }}
spec:
  selector:
    matchLabels:
      app: {{ .Values.global.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.global.appName }}
        tier: ShortLink
    spec:
      containers:
        - name: shortlink
          image: {{ .Values.shortLinkMs.image }}
          ports:
            - name: grpc
              containerPort: 3001
            - name: http
              containerPort: 3000
          env:
            - name: HTTP_SERVER
              value: "0.0.0.0:3000"
            - name: GRPC_SERVER
              value: "0.0.0.0:3001"
          envFrom:
            - secretRef:
                name: db-credentials
      restartPolicy: Always
      imagePullSecrets:
        - name: pull-secret
---
apiVersion: v1
kind: Service
metadata:
  name: shortlink
  namespace: {{ .Values.global.namespace }}
  labels:
    app: {{ .Values.global.appName }}
spec:
  type: {{ .Values.shortLinkMs.service.type }}
  selector:
    app: {{ .Values.global.appName }}
    tier: ShortLink
  ports:
    - name: http
      port: {{ .Values.shortLinkMs.service.httpPort }}
      targetPort: 3000
{{- end }}
